/*
** SellaNMS
** $Id: then.h,v 1.5 2006/01/24 07:08:10 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __THEN_H__
#define __THEN_H__

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "clause.h"

class Then: public Clause {
	public:
		Then();
		Then(Then const &src);
		virtual ~Then();
		virtual Then const & operator=(Then const& src) = 0;

		virtual ACTION evaluate(variable_binding_t &input);
		virtual RESULT compile(ConfigNode *config) = 0; 

		virtual RESULT clear() = 0;
		virtual RESULT print(unsigned long depth = 0) = 0;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3 sts=3
*/
